Summary:     Provides programs to assemble and manipulate binary and object files
Name:        binutils
Version:     2.14.90.0.8
Release:     3.pp
License:     GPL
Group:       Development/Tools
Source0:     ftp://ftp.kernel.org/pub/linux/devel/%{name}/%{name}-%{version}.tar.bz2
Patch0:      http://pax.grsecurity.net/%{name}-2.14.90.0.8-pt-pax-flags-200402042140.patch
URL:         http://www.gnu.org/software/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      RedHat, Inc.
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc
Conflicts:   binutils < %{version}
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig /sbin/install-info
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel bison flex gettext
ExclusiveOS: linux


%description
GNU binutils work mostly behind the scenes of Linux development,
largely because GNU make and the GCC frontend does so many things
automatically. Utilities include: addr2line ar as gprof ld nm
objcopy objdump ranlib readelf size strings strip.


%prep
%setup -q
%patch0 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS"
mkdir build-%{_target_platform}
pushd build-%{_target_platform}
../configure \
	%{_target_platform}        \
	--prefix=/usr              \
	--sysconfdir=/etc          \
	--localstatedir=/var       \
	--mandir=/usr/share/man    \
	--infodir=/usr/share/info  \
	--enable-shared            \
	--enable-static
make tooldir=/usr all info
popd


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
pushd build-%{_target_platform}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 ../include/libiberty.h $RPM_BUILD_ROOT/usr/include
chmod +x $RPM_BUILD_ROOT/usr/lib/*.so*
rm -rf $RPM_BUILD_ROOT/usr/%{_target_platform}

# Remove Windows/Novell only man pages
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/{dlltool,nlmconv,windres}*

# This one comes from gcc
rm -f $RPM_BUILD_ROOT/usr/bin/c++filt $RPM_BUILD_ROOT/usr/share/info/dir
popd


%post
/sbin/ldconfig
for file in as.info        \
            bfd.info       \
            binutils.info  \
            configure.info \
            gprof.info     \
            ld.info        \
            standards.info; do
   /sbin/install-info --info-dir=/usr/share/info /usr/share/info/${file}
done


%preun
for file in as.info        \
            bfd.info       \
            binutils.info  \
            configure.info \
            gprof.info     \
            ld.info        \
            standards.info; do
   /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/${file}
done


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc binutils/{ChangeLog*,MAINTAINERS,NEWS,README}
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/share/info/*
/usr/share/locale/*
/usr/share/man/man1/*


%changelog
* Mon May 03 2004 peter.pramberger@1012surf.net
- created

